Bug 968217 - webadmin: for LSM, if a vm is a thin copy and the target domain is inactive we give an alert that the template does not exist on any of the domains
webadmin: for LSM, if a vm is a thin copy and the target domain is inactive w...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.2.0
x86_64 Linux
unspecified Severity low
: ---
: 3.3.0
Assigned To: Daniel Erez
Aharon Canan
storage
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 04:49 EDT by Dafna Ron
Modified: 2016-02-10 12:12 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-12 06:21:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amureini: Triaged+


Attachments (Terms of Use)
screen shots (61.64 KB, image/jpeg)
2013-05-29 04:49 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2013-05-29 04:49:34 EDT
Created attachment 754264 [details]
screen shots

Description of problem:

if we try to LSM a disk and the target dst domain is inactive, if the vm is a thin provision copy (based on template) we get an alert that the vm template does not exist on any of the domains. 
if the vm is an independent image we get a correct alert that no active domains were found. 

Version-Release number of selected component (if applicable):

sf17.2

How reproducible:

100%

Steps to Reproduce:
1. in iscsi storage, create 2 domains located on different storage servers
2. create a vm from template and run it
3. block connectivity to the dst domain from all hosts using iptables
4. once the domain becomes inactive try to LSM the vm disk
5. move the mouse to the greyed out domain on the dialogue. 

Actual results:

we get the following error: 

The template that the VM is based on does not exist on any active storage domain. 

Expected results:

before checking if the template exists on any of the domain we should probably query the domains status. 

Additional info: screen shot
Comment 1 Ayal Baron 2013-09-12 06:21:18 EDT
The message is:
The template that the VM is based on does not exist on any *active* storage domain. 

It clearly states that there should be a template on an active target domain.

Note You need to log in before you can comment on or make changes to this bug.